Skip to content

/fal-ai/veo3/image-to-video

POST https://www.kkiai.com/fal-ai/veo3/image-to-video

Official documentation: https://fal.ai/models/fal-ai/veo3/image-to-video

Request Parameters

Authorization

Add the Authorization parameter to the Header. Its value should be the Token concatenated after Bearer.

Example: Authorization: Bearer ********************

Body Parameters (application/json)

ParameterTypeRequiredDescription
promptstringRequired
image_urlstringRequired
aspect_ratiostringOptionalAspect ratio. Enum values: 16:9, 9:16, auto. Default: "auto"
durationstringOptionalVideo duration. Default: "8s"
generate_audiobooleanOptionalGenerate audio. Default: true
resolutionstringOptionalResolution. Enum values: "720p", "1080p"

Request Example

json
{
  "prompt": "A woman looks into the camera, breathes in, then exclaims energetically, \"have you guys checked out Veo3 Image-to-Video on Fal? It's incredible!\"",
  "image_url": "https://storage.googleapis.com/falserverless/example_inputs/veo3-i2v-input.png",
  "aspect_ratio": "auto",
  "duration": "8s",
  "generate_audio": true,
  "resolution": "720p"
}

cURL Example

bash
curl --location --request POST 'https://www.kkiai.com/fal-ai/veo3/image-to-video' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
  "prompt": "A woman looks into the camera, breathes in, then exclaims energetically, \"have you guys checked out Veo3 Image-to-Video on Fal? It'\''s incredible!\"",
  "image_url": "https://storage.googleapis.com/falserverless/example_inputs/veo3-i2v-input.png",
  "aspect_ratio": "auto",
  "duration": "8s",
  "generate_audio": true,
  "resolution": "720p"
}'

Response

🟢 200 Success

Response Body

ParameterTypeRequiredDescription
statusstringRequired
request_idstringRequired
response_urlstringRequired
status_urlstringRequired
cancel_urlstringRequired
logsnullRequired
metricsobjectRequired
queue_positionintegerRequired

Response Example

json
{
    "status": "IN_QUEUE",
    "request_id": "bcd3b436-b7af-42f3-8649-204657bfaf10",
    "response_url": "https://queue.fal.run/fal-ai/veo3/requests/bcd3b436-b7af-42f3-8649-204657bfaf10",
    "status_url": "https://queue.fal.run/fal-ai/veo3/requests/bcd3b436-b7af-42f3-8649-204657bfaf10/status",
    "cancel_url": "https://queue.fal.run/fal-ai/veo3/requests/bcd3b436-b7af-42f3-8649-204657bfaf10/cancel",
    "logs": null,
    "metrics": {},
    "queue_position": 0
}